Page MenuHomePhabricator

New Onboard's (Marc Brent) Email not working
Closed, ResolvedPublic

Description

Hi,

Sorry if I assigned to the wrong project, but I created the email mbrent@wikimedia.org last week and it still is not working. This person is starting today and I can't do his on boarding if his email is not working. Also, I've noticed that sometimes it takes 5 minutes, or it takes days for an email to start working (I send test emails). I was wondering if that process can go through faster (moving forward), because I also need to create new hire's wiki accounts.

Best,
Jo

Event Timeline

JGulingan created this task.Dec 7 2015, 4:59 PM
JGulingan raised the priority of this task from to Unbreak Now!.
JGulingan updated the task description. (Show Details)
JGulingan added a project: Mail.
JGulingan added a subscriber: JGulingan.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 7 2015, 4:59 PM

Forgot to add what I received in the bounce back email:

Delivery to the following recipient failed permanently:

mbrent@wikimedia.org

Technical details of permanent failure:
Google tried to deliver your message, but it was rejected by the server for the recipient domain wikimedia.org by mx1001.wikimedia.org. [2620:0:861:3:208:80:154:76].

The error that the other server returned was:
550 Address mbrent@wikimedia.org does not exist

  • Original message -----

DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;

d=wikimedia.org; s=google;
h=mime-version:date:message-id:subject:from:to:content-type;
bh=4FmPLp4iSzYKgn5PwfwjWYYUfy+poNFPFcUsutNcCw8=;
b=NjJqd/MCuh4aAEsJrvIUHn/72WRCihOJdyS/M72W1lmJVmn4De00oIC4CcRDtkq+X4
 KEDlO23IxOwRMdNgJ2zTF5v8oJ7lbmxox2eljYc0Mz+GoaD16EmtHdYb3ztKtugTqdPi
 di+2hdD0hJR+IrD1aRQy8N320ICqCnf5Zya9k=

X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;

d=1e100.net; s=20130820;
h=x-gm-message-state:mime-version:date:message-id:subject:from:to
 :content-type;
bh=4FmPLp4iSzYKgn5PwfwjWYYUfy+poNFPFcUsutNcCw8=;
b=Xjvj8Za23xPCFdDmoO62r+w7EbMOiCPWkxnRfO1efhs84+NT4GLQVaFa7i3A4WL1n0
 LqCEBWLxcpFoL29iKyC2c5AwbHV8jY0fkosMwZ7R9u3ZkpicRcRz+konuvQ0+heISWkD
 A9nSwrPjJdL0VHBDmZWCd0dFl4Au0c1HUOkSWQpK07d8z26V6oMBgQ92sCtDOR3b+qmc
 zvjvgMi5lkWCeVQeZiB8V5djtzSeuVQoMnk2PkERi44FM6HI31LQxm/Bcy1niUN+fDAX
 rJ59X7yVrnGUxPNF+UjmPpf2+Kyse508mp9SqBSBMv9NuWXpXt2EBTQH7UamtSPusWN6
 TVOA==

X-Gm-Message-State: ALoCoQkcEkj2BfZ0aSYD5wdNjSNRf6rsJ6iNH1DFLSclISO03IocRRcvm/MWp5ej1kPhXx6Urp1/
MIME-Version: 1.0
X-Received: by 10.28.182.11 with SMTP id g11mr23600844wmf.42.1449506794621;
Mon, 07 Dec 2015 08:46:34 -0800 (PST)
Received: by 10.28.26.208 with HTTP; Mon, 7 Dec 2015 08:46:34 -0800 (PST)
Date: Mon, 7 Dec 2015 08:46:34 -0800
Message-ID: <CAO8mK1vCOimxe48xvdHwJ_7KjhhRKy4Dd9ZhfGMk_U9=3F95-w@mail.gmail.com>
Subject: TEST
From: Josephine Gulingan <jgulingan@wikimedia.org>
To: Marc Brent <mbrent@wikimedia.org>
Content-Type: multipart/alternative; boundary=001a114b138297ed9e0526519967

TEST

*Josephine Gulingan*
I.T. Desktop Support
Wikimedia Foundation

IRC: josephine

*"Imagine a world in which every single human being can freely share in the
sum of all knowledge. That's our commitment." *

faidon lowered the priority of this task from Unbreak Now! to High.Dec 7 2015, 5:10 PM
faidon added a project: Operations.
faidon set Security to None.
Krenair added a subscriber: Krenair.Dec 7 2015, 5:12 PM

So, we got an LDAP server in production that mirrors ldap1.corp.wikimedia.org. That is to avoid very expensive SMTP checks or high latency LDAP checks to OIT's LDAP servers .

And seems like that does not work anymore

host ldap1.corp.wikimedia.org ns1.corp.wikimedia.org
Using domain server:
Name: ns1.corp.wikimedia.org
Address: 198.73.209.11#53
Aliases: 

Host ldap1.corp.wikimedia.org not found: 5(REFUSED)

So, there is no way for production to get the new users. @JGulingan that probably is the reason for the problem reported. Can you look into it or should we submit a ticket with OIT ?

I can go create a ticket for Joel or Byron to go and take a look at it.

Thanks!!

DNS issue -- resolved -- please attempt to resync?

akosiaris closed this task as Resolved.Dec 7 2015, 7:25 PM
akosiaris claimed this task.

Resync done, uid has been imported, seems like resolved. Closing this